summaryrefslogtreecommitdiffstats
path: root/lcpubsh/bin/make_lc_user_image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lcpubsh/bin/make_lc_user_image.sh')
-rw-r--r--lcpubsh/bin/make_lc_user_image.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/lcpubsh/bin/make_lc_user_image.sh b/lcpubsh/bin/make_lc_user_image.sh
new file mode 100644
index 0000000..fb0aa8a
--- /dev/null
+++ b/lcpubsh/bin/make_lc_user_image.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Original by https://github.com/sleeepyjack/dockersh
+# Modified by georg@lysergic.dev
+
+if [ -z "$1" -o -z "$2" ]; then
+ echo "./make_user_image.sh [name] [source-image]"; exit 100
+fi
+
+sed -i "1s/.*/FROM $2/" /opt/dockersh/dockersh-git/image_template/Dockerfile
+cd /opt/dockersh/dockersh-git/image_template
+docker build -t $1:sh0 .
+